classification
Title: Python 2.6rc2: Tix ComboBox error
Type: crash Stage:
Components: Tkinter Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, dwahli, kklimonda, loewis, lucidguppy, matthieu.labbe, ocean-city
Priority: normal Keywords: patch

Created on 2008-09-15 07:30 by dwahli, last changed 2010-02-01 16:14 by matthieu.labbe. This issue is now closed.

Files
File name Uploaded Description Edit
test_combotix.py dwahli, 2008-09-15 07:30 Test script
tix843.patch amaury.forgeotdarc, 2008-09-26 23:58
build_tkinter.patch amaury.forgeotdarc, 2008-09-26 23:59
Messages (16)
msg73249 - (view) Author: Dominique Wahli (dwahli) Date: 2008-09-15 07:30
Component ComboBox from Tix raise an error in Python 2.6rc1 (Windows XP):

Traceback (most recent call last):
  File "D:\PCE\Tools\PCSUpdate\test_combotix.py", line 11, in <module>
    app = TestTix()
  File "D:\PCE\Tools\PCSUpdate\test_combotix.py", line 6, in __init__
    w = ComboBox(self)
  File "C:\Python26\lib\lib-tk\Tix.py", line 579, in __init__
    cnf, kw)
  File "C:\Python26\lib\lib-tk\Tix.py", line 307, in __init__
    self.tk.call(widgetName, self._w, *extra)
_tkinter.TclError: unknown color name "{#c3c3c3}"
msg73558 - (view) Author: Dominique Wahli (dwahli) Date: 2008-09-22 06:49
I hope this bug will have some attention before final 2.6

Work on Python 2.5.2 and not on 2.6rc1 and 2.6rc2
msg73561 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-22 08:37
Tix is still at version 8.4 (tix84.dll) when tcl has been upgraded to
8.5 (tcl85.dll and tk85.dll)

The Tix project does not seem to be maintained any more.
I managed to recompile it against tcl85, but nothing changed.

Should we remove it from python, or try to update it?
msg73593 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-22 21:01
Dominique, unless you contribute a fix yourself, no fix might get
included in 2.6.

I still would leave Tix "in" 2.6, unless it can be shown that all Tix
widgets are broken.

I don't think it's a problem that the Tix version is 8.4 - there is no
inherent need for Tix to have the same version number as Tcl or Tk.
msg73618 - (view) Author: Dominique Wahli (dwahli) Date: 2008-09-23 07:03
Sorry Martin but I couldn't help to fix this issue.

A quick check of Tix widgets show the same issue with:
CheckList
HList
ListNoteBook
DirList
DirTree
DirSelectDialog
DirSelectBox
ExFileSelectBox
FileSelectBox

That's a lot of things so maybe it's time to remove Tix package from
core Python.
If not, Tix documentation in Python help need a big red comment in the
beginning of the page.
msg73850 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-09-26 14:39
May this info help?
http://coding.derkeiler.com/Archive/Tcl/comp.lang.tcl/2008-02/msg01363.html
msg73865 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-26 16:58
Yes, the sample program works with Tix8.4.3.

The procedure to rebuild Tix was removed from PCBuild/readme.txt, and
the instructions in the 2.5 version are incomplete.  Here is what I did,
after several attempts:

- downloaded and extracted following file:
http://garr.dl.sourceforge.net/sourceforge/tix/Tix8.4.3-src.tar.gz

- created file win32/python.mak with the content:
TCL_MAJOR=8
TCL_MINOR=5
TCL_PATCH=2
INSTALL_DIR=..\..\tcltk
TOOLS32=$(VCINSTALLDIR)
MKDIR=md
RMDIR=rd
!include "makefile.vc"

- then "cd Tix8.4.3\win", and compile with:
nmake -f python.mak TK_DIR=..\..\tk-8.5.2.0 TCL_DIR=..\..\tcl-8.5.2.1
TK_TMPDIR=Release_VC8 TCL_TMPDIR=Release_VC8 install

What is the procedure to have this new version merged into the msi file?
msg73887 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-26 21:01
> What is the procedure to have this new version merged into the msi file?

The version of Tix being used is the one in the Subversion externals
directory. See the subversion log for a complete list of changes; most
specifically, win/python9.mak is used to compile it. See
PCbuild/build_tkinter.py for a build procedure that might work.

There is no persistent (svn-commitable) procedure to get a newer Tix
version into the MSI file; I need to replace the Tix version that I
currently have on my disk with a newer one.
msg73907 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-26 23:58
I join two patches:

- the first applies to the "official" tix-8.4.3 source tree, and 
modifies the makefiles: adapt to new naming scheme for tcl/tk files and 
directories, embed manifest file...

- the other updates build_tkinter.py to build tcl-8.5.2.1, tk-8.5.2.0 
and tix-8.4.3. More options were needed. Tested on win32 with vs9 
express, Release & Debug modes.

At the end of the day, the given test_combotix.py passes (and displays a 
combobox in a small window!)
msg73922 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-27 13:21
Thanks for the patch. I have now integrated this patch into
externals/tix-8.4.3.1 (along with a patch to compile it for AMD64). Demo
installers including this code are available at

http://www.dcl.hpi.uni-potsdam.de/home/loewis/u/python-2.6.14149.msi
http://www.dcl.hpi.uni-potsdam.de/home/loewis/u/python-2.6.14149.amd64.msi

I'm skeptical about the build_tkinter patch. It seems fairly invasive,
so I'd rather defer it until after the release.
msg78531 - (view) Author: Matthew Karas (lucidguppy) Date: 2008-12-30 13:55
I'm sorry, will this fix get into a new release?  I tried using a tix 
widget on 2.6.1 and got the same error.
msg79245 - (view) Author: Dominique Wahli (dwahli) Date: 2009-01-06 10:27
What happened ???

I'm pretty sure the fix was committed in 2.6.0 and, as saying by Amaury
in comments, the test script running fine.

In 2.6.1 test is broken.
msg85719 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-04-07 15:47
This is now fixed in 2.6.2c1
msg87646 - (view) Author: Krzysztof Klimonda (kklimonda) Date: 2009-05-12 17:37
I still get this error using "Python 2.6.2 (release26-maint, Apr 19
2009, 01:58:18)" on Ubuntu 9.04:
https://bugs.launchpad.net/bugs/371720
Also test_combotix.py doesn't work.
msg87648 - (view) Author: Krzysztof Klimonda (kklimonda) Date: 2009-05-12 18:04
It is probably related to the old version of Tix that both Debian and
Ubuntu ship.
msg87651 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-05-12 18:35
If you follow-up to a closed issue, your follow-up inevitably gets ignored.

Please understand that the issue you encountered is completely different
from the one reported here (which was about the Windows build).
History
Date User Action Args
2010-02-01 16:14:24matthieu.labbesetnosy: + matthieu.labbe
2009-05-12 18:35:10loewissetmessages: + msg87651
2009-05-12 18:04:45kklimondasetmessages: + msg87648
2009-05-12 17:37:11kklimondasetnosy: + kklimonda
messages: + msg87646
2009-04-07 15:47:33loewissetstatus: open -> closed

messages: + msg85719
2009-01-06 10:27:57dwahlisetmessages: + msg79245
2008-12-30 13:55:31lucidguppysetnosy: + lucidguppy
messages: + msg78531
2008-09-27 13:21:09loewissetpriority: critical -> normal
resolution: fixed
messages: + msg73922
2008-09-26 23:59:44amaury.forgeotdarcsetfiles: + build_tkinter.patch
2008-09-26 23:58:41amaury.forgeotdarcsetfiles: + tix843.patch
keywords: + patch
messages: + msg73907
2008-09-26 21:01:34loewissetmessages: + msg73887
2008-09-26 16:58:05amaury.forgeotdarcsetmessages: + msg73865
2008-09-26 14:39:27ocean-citysetnosy: + ocean-city
messages: + msg73850
2008-09-26 07:01:21amaury.forgeotdarcsetpriority: critical
2008-09-26 07:01:10amaury.forgeotdarclinkissue3970 superseder
2008-09-23 07:03:33dwahlisetmessages: + msg73618
2008-09-22 21:01:43loewissetmessages: + msg73593
2008-09-22 08:37:32amaury.forgeotdarcsetnosy: + amaury.forgeotdarc, loewis
messages: + msg73561
2008-09-22 06:49:21dwahlisetmessages: + msg73558
title: Tix ComboBox error -> Python 2.6rc2: Tix ComboBox error
2008-09-15 07:30:36dwahlicreate